package com.xzzn.ems.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.xzzn.common.annotation.Excel;
import com.xzzn.common.core.domain.BaseEntity;

/**
 * 点位枚举匹配对象 ems_point_enum_match
 * 
 * @author xzzn
 * @date 2025-12-08
 */
public class EmsPointEnumMatch extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键自增长 */
    private Long id;

    /** 点位匹配字段 */
    @Excel(name = "点位匹配字段")
    private String matchField;

    /** 站点id */
    @Excel(name = "站点id")
    private String siteId;

    /** 设备类别，例如“STACK/CLUSTER/PCS等” */
    @Excel(name = "设备类别，例如“STACK/CLUSTER/PCS等”")
    private String deviceCategory;

    /** 系统枚举代码 */
    @Excel(name = "系统枚举代码")
    private String enumCode;

    /** 系统枚举名称 */
    @Excel(name = "系统枚举名称")
    private String enumName;

    /** 系统枚举描述 */
    @Excel(name = "系统枚举描述")
    private String enumDesc;

    /** 数据枚举代码 */
    @Excel(name = "数据枚举代码")
    private String dataEnumCode;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setMatchField(String matchField) 
    {
        this.matchField = matchField;
    }

    public String getMatchField() 
    {
        return matchField;
    }

    public void setSiteId(String siteId) 
    {
        this.siteId = siteId;
    }

    public String getSiteId() 
    {
        return siteId;
    }

    public void setDeviceCategory(String deviceCategory) 
    {
        this.deviceCategory = deviceCategory;
    }

    public String getDeviceCategory() 
    {
        return deviceCategory;
    }

    public void setEnumCode(String enumCode) 
    {
        this.enumCode = enumCode;
    }

    public String getEnumCode() 
    {
        return enumCode;
    }

    public void setEnumName(String enumName) 
    {
        this.enumName = enumName;
    }

    public String getEnumName() 
    {
        return enumName;
    }

    public void setEnumDesc(String enumDesc) 
    {
        this.enumDesc = enumDesc;
    }

    public String getEnumDesc() 
    {
        return enumDesc;
    }

    public void setDataEnumCode(String dataEnumCode) 
    {
        this.dataEnumCode = dataEnumCode;
    }

    public String getDataEnumCode() 
    {
        return dataEnumCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("matchField", getMatchField())
            .append("siteId", getSiteId())
            .append("deviceCategory", getDeviceCategory())
            .append("enumCode", getEnumCode())
            .append("enumName", getEnumName())
            .append("enumDesc", getEnumDesc())
            .append("dataEnumCode", getDataEnumCode())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
